V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
imn1
V2EX  ›  Arch

fcitx5 librime-lua 相关

  •  
  •   imn1 · 11 天前 · 187 次点击
    装 manjaro 时,习惯性装了 fcitx,看到有 fcitx5,当时急着输入中文,就懒得考究,先用再说
    昨天抽空搜了一下文章,就决定换 5 了,其中看到有人写 librime 在 202005 某个版本就支持 lua 了
    whereis 确实搜到了 librime-lua.so

    装完 fcitx5,还是不支持 lua plugins,唉,既然都下决心换版了,自己编译呗
    还遇到两个错误,甚至要改 cc 文件,不懂,只能按着人家说的改,编译通过,rime 能用 lua 了

    有个疑问,系统内的 librime-lua.so 难道不是跟随 fcitx5-rime 装的?我也没其他软件跟 rime 有关了呀,为何官版还是不支持 lua ?
    第 1 条附言  ·  11 天前
    刚刚又 whereis 一次,librime-lua.so 不见了(装 5 前完全清了 fcitx4 ),看样子 librime-lua.so 是跟随 fcitx4-rime 安装的,但 fcitx4-rime 本来就不支持 lua,迷
    第 2 条附言  ·  11 天前
    最后更新:
    总算知道了,不需自己编译
    google 找不到,去 github 看 issue 才看到
    https://github.com/fcitx/fcitx5-rime/issues/16

    先 whereis librime-lua.so 确定已安装,随 fcitx5-rime 安装的

    在 fcitx5 config,选 rime 的 config,然后 Modules add+,输入 lua 即可(上面自动载入需要勾选),OK 确定,重启 fcitx5 也不需要

    2020 年 11 月 19 日 02 时 06 分 20 秒 星期四
    这行就是 lua 脚本输入的,OK,搞定
    3 条回复    2020-11-19 03:14:37 +08:00
    imn1
        1
    imn1   11 天前
    搞定,留个记录,太难搜了
    imn1
        2
    imn1   11 天前   ❤️ 1
    @Livid
    请代劳移到 Arch 或 Linux 节点,留个记录
    Livid
        3
    Livid   V2EX Moderator   11 天前
    @imn1 感谢分享。已经移动。

    确实,每次 Linux 装好之后,因为和上一次装隔了一段时间,一些东西的设置方式就会发生变化,于是就需要重新研究。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   976 人在线   最高记录 5268   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 56ms · UTC 20:19 · PVG 04:19 · LAX 12:19 · JFK 15:19
    ♥ Do have faith in what you're doing.